Package org.codehaus.groovy.antlr

# Class UnicodeLexerSharedInputState

java.lang.Object
antlr.LexerSharedInputState
org.codehaus.groovy.antlr.UnicodeLexerSharedInputState

public class UnicodeLexerSharedInputState extends antlr.LexerSharedInputState
GRECLIPSE-805 Support for unicode escape sequences

Author:
  Andrew Eisenberg

## Field Summary

### Fields inherited from class antlr.LexerSharedInputState

`column, filename, guessing, input, line, tokenStartColumn, tokenStartLine`

## Constructor Summary

Constructors
Constructor
Description
`UnicodeLexerSharedInputState(UnicodeEscapingReader in)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getTokenStartColumn()`

### Methods inherited from class antlr.LexerSharedInputState

`getFilename, getInput, getLine, getTokenStartLine, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnicodeLexerSharedInputState

public UnicodeLexerSharedInputState(UnicodeEscapingReader in)

## Method Details

### getColumn

public int getColumn()

Overrides:
  `getColumn` in class `antlr.LexerSharedInputState`

### getTokenStartColumn

public int getTokenStartColumn()

Overrides:
  `getTokenStartColumn` in class `antlr.LexerSharedInputState`